"use strict";
/**
 * @fileoverview Options configuration for optionator.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = void 0;
/*
 * ------------------------------------------------------------------------------
 * Requirements
 * ------------------------------------------------------------------------------
 */
const optionator = require("optionator"); // `require` used because `optionator` exports a function
/*
 * ------------------------------------------------------------------------------
 * Initialization and Public Interface
 * ------------------------------------------------------------------------------
 */
exports.options = optionator({
    defaults: {
        concatRepeatedArrays: true,
        mergeRepeatedObjects: true
    },
    options: [
        { heading: 'Basic configuration' },
        {
            alias: 'i',
            concatRepeatedArrays: [true, { oneValuePerFlag: true }],
            default: '[]',
            description: 'Regex to ignore links',
            option: 'ignorePatterns',
            type: 'path::[String]'
        },
        {
            alias: 'f',
            dependsOn: 'ignorePatterns',
            description: 'Flags applied to the ignore pattern',
            option: 'flags',
            type: 'path::String'
        },
        {
            alias: 'h',
            description: 'Show help',
            option: 'help',
            type: 'Boolean'
        },
        { heading: 'Miscellaneous' },
        {
            default: false,
            description: 'Output debugging information',
            option: 'debug',
            type: 'Boolean'
        }
    ],
    prepend: 'markdown-link-validator ./path/to/mds [options]'
});
//# sourceMappingURL=options.js.map