"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
class Link {
    _isValid;
    _link;
    _position;
    constructor(link, index, content) {
        if (!link) {
            throw new Error(`"link" can't be empty or null`);
        }
        if (typeof index !== 'number') {
            throw new Error(`"index" has to be a number`);
        }
        if (!content) {
            throw new Error(`"content" can't be empty or null`);
        }
        this._link = link;
        this.getPosition(index, content);
    }
    getPosition(index, content) {
        const partialContent = content.substr(0, index);
        const lines = partialContent.split('\n');
        this._position = {
            column: lines[lines.length - 1].length + 1,
            line: lines.length
        };
    }
    get link() {
        return this._link;
    }
    get position() {
        return this._position;
    }
    get isValid() {
        return this._isValid;
    }
    set isValid(value) {
        this._isValid = value;
    }
}
exports.Link = Link;
//# sourceMappingURL=link.js.map