import { IMDFile, ILink } from './types';
export declare class MDFile implements IMDFile {
    private _absoluteLinks;
    /**
     * This regex should match the following example:
     * * [link](https://example.com)
     * * [link label]: https://exxample.com
     * * <img src="http://example.com/avatar.jpg">
     */
    private _absoluteRegex;
    private _cache;
    private _content;
    private _ignorePatterns;
    private _internalLinks;
    private _invalidLinks;
    /**
     * This regex should match the following examples:
     * * [link](#somewhere)
     * * [link] (#somewhere) → invalid link.
     * * [link]( #somewhere)
     */
    private _internalRegex;
    private _links;
    private _path;
    private _relativeLinks;
    private _relativePath;
    /**
     * This regex should match the following examples:
     * * [link label]: ./somewhere.md
     * * [link label]: ./somewhere
     * * [link label]: ../somewhere
     * * [link label]:./somewhere.md
     * * [link](./somewhere.md)
     * * [link](./somewhere/)
     */
    private _relativeRegex;
    private _titles;
    private _titleRegex;
    private _normalizedTitles;
    constructor(directory: string, relativePath: string, ignorePatterns: RegExp[]);
    private getRelativeLinks;
    private getAbsoluteLinks;
    private getInternalLinks;
    private getTitles;
    private ignoreLink;
    private validateAbsoluteLinks;
    private validateRelativeLink;
    private validateRelativeLinks;
    private validateInternalLink;
    private validateInternalLinks;
    validateLinks(): Promise<void>;
    get absoluteLinks(): Set<ILink>;
    get internalLinks(): Set<ILink>;
    get path(): string;
    get relativeLinks(): Set<ILink>;
    get relativePath(): string;
    get titles(): Set<string>;
    get invalidLinks(): Set<ILink>;
    get links(): Set<ILink>;
}
